package com.justtide.service.dev.aidl.card;

import android.os.Parcel;
import android.os.Parcelable;

public class MSRCardInfo implements Parcelable{

	private String track1;
	private String track2;
	private String track3;
	private String cardPAN;
	private String extraData;
	private String expDate;
	private String IIN;//issuer identification number
	private String serviceCode;
	private int  result = -1;
	
	public String getTrack1() {
		return track1;
	}

	public void setTrack1(String track1) {
		this.track1 = track1;
	} 
	
	public String getTrack2() {
		return track2;
	}

	public void setTrack2(String track2) {
		this.track2 = track2;
	} 
	
	public String getTrack3() {
		return track3;
	}

	public void setTrack3(String track3) {
		this.track3 = track3;
	} 
	
	public String getPAN() {
		return cardPAN;
	}

	public void setPAN(String cardPAN) {
		this.cardPAN = cardPAN;
	}
	
	public String getExtraData() {
		return extraData;
	}

	public void setExtraData(String extraData) {
		this.extraData = extraData;
	}
	
	public String getExpDate() {
		return expDate;
	}

	public void setExpDate(String expDate) {
		this.expDate = expDate;
	}

	public String getIIN() {
		return IIN;
	}

	public void setIIN(String IIN) {
		this.IIN = IIN;
	}
	
	public String getServiceCode() {
		return serviceCode;
	}

	public void setServiceCode(String serviceCode) {
		this.serviceCode = serviceCode;
	}

	public int getResult() {
		return result;
	}

	public void setResult(int result) {
		this.result = result;
	}
 
	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(track1);
		dest.writeString(track2);
		dest.writeString(track3);
		dest.writeString(cardPAN);
		dest.writeString(extraData);
		dest.writeString(expDate);
		dest.writeString(IIN);
		dest.writeString(serviceCode);
		dest.writeInt(result); 
	 
		 
	}
	
	public static final Parcelable.Creator<MSRCardInfo> CREATOR = new Parcelable.Creator<MSRCardInfo>() {

		@Override
		public MSRCardInfo createFromParcel(Parcel source) {
			MSRCardInfo info = new MSRCardInfo();
			info.setTrack1(source.readString());
			info.setTrack2(source.readString());
			info.setTrack3(source.readString());
			info.setPAN(source.readString());
			info.setExtraData(source.readString());
			info.setExpDate(source.readString());
			info.setIIN(source.readString());
			info.setServiceCode(source.readString());
			info.setResult(source.readInt());
		 
		 
			return info;
		}

		@Override
		public MSRCardInfo[] newArray(int size) {
			// TODO Auto-generated method stub
			return new MSRCardInfo[size];
		}
	
	};
	
}
