package com.justtide.service.dev.aidl.card;

import com.justtide.service.dev.aidl.card.SmartCardInfo;   
import com.justtide.service.dev.aidl.card.ResponseApduData;
import com.justtide.service.dev.aidl.card.CommandApduData;

interface SmartCardReaderProvider{
	 int open(byte slot, boolean emvMode);//open device
	 
	 int openDefault();//default parameter open device
	 
	 int close();//close device
	 
	 int getSate();//get device status
	 
	 int check(int timeoutMs);//check card
	 
	 SmartCardInfo powerOn(byte slot, byte vccMode, boolean emvMode);//card power on 
	 
	 SmartCardInfo powerOnCardDefault();//default parameter power on
	 
	 ResponseApduData transmit(in CommandApduData commandApduData );//send apdu command to card
	 
	 int powerOff();//card power off
	 
	 
	 
	 

	
}