package com.justtide.service.dev.aidl.printer;

public class PrinterConstant {
	 
	/***********************打印机错误码定义Error code defined******************************************/
	public static final int PRINTER_ERR_BASE               = -4000;
	public static final int PRINTER_ERR_SUCCESS            = 0;
	public static final int PRINTER_ERR_CONNECT_FAILED     = PRINTER_ERR_BASE - 1;
	public static final int PRINTER_ERR_CMD_TIMEOUT        = PRINTER_ERR_BASE - 2; 
	public static final int PRINTER_ERR_NO_PAPER           = PRINTER_ERR_BASE - 3;
	public static final int PRINTER_ERR_OVER_TEMPERATURE   = PRINTER_ERR_BASE - 4;
	public static final int PRINTER_ERR_OVER_VOLTAGE       = PRINTER_ERR_BASE - 5;
	public static final int PRINTER_ERR_USER_CANCEL        = PRINTER_ERR_BASE - 6;
	public static final int PRINTER_ERR_INVALID_DATA       = PRINTER_ERR_BASE - 7;
	public static final int PRINTER_ERR_BUSY     		   = PRINTER_ERR_BASE - 8;

	
	/***************************************************************************************/
	/*打印位置*/
	public static final int PRINTER_ALIGNMENT_LEFT   = 0;//靠左 left	
	public static final int PRINTER_ALIGNMENT_CENTER = 1;//居中 center
	public static final int PRINTER_ALIGNMENT_RIGHT  = 2;//靠右 right

	
	/*字体类型*/
	public static final int PRINTER_FONT_TYPE_DEFAULT     = 0;//字体正常default
	public static final int PRINTER_FONT_TYPE_BOLD        = 1;//字体加粗bold
	
	/*字体大小*/
	public static final int PRINTER_FONT_SIZE_SMALL  = 0;//小字体  small
	public static final int PRINTER_FONT_SIZE_NORMAL = 1;//正常字体 normal
	public static final int PRINTER_FONT_SIZE_LARGE  = 2;//大字体   large
	
	/*打印属性*/
	public static final boolean PRINTER_WITH_UNDERLINE  = false ;//是否打印下滑线   ture 是；false  否； 默认否
	public static final boolean PRINTER_WITH_DELETELEIN = false;//是否删除线   ture 是；false  否； 默认否
	public static final boolean PRINTER_WITH_HEI = false;//是否黑体字   ture 是；false  否； 默认否

	
	/*额外字体，需要系统支持*/
	public static final int PRINTER_TYPEFACE_SIMSUN  = 3;//字体宋体
	public static final int PRINTER_TYPEFACE_SIMFANG  = 4;//字体仿宋
	public static final int PRINTER_TYPEFACE_SIMKAI  = 5;//字体楷体

	public static final int PRINTER_STATE_IDLE  = 0;//打印机空闲
	public static final int PRINTER_STATE_OPEN  = 1;//打印机打开 
	public static final int PRINTER_STATE_EXP  = 2;//打印机无纸
	
	 
}
