package com.justtide.service.dev.aidl.system;

import com.justtide.service.dev.aidl.system.SystemProviderListener;

interface SystemProvider{

	void initFunKey();	//初始化功能按键状态
	
	void configFunKey( int KeyType, boolean bWorkStatus);	//功能按键状态设置
	
	void appInstall(String apkPath,SystemProviderListener syslistener,String installerPackageName);
	void appUpdate(String apkPath,SystemProviderListener syslistener,String installerPackageName);
	void appUninstall(String packageName,SystemProviderListener syslistener);
	void reboot();
	void disableAppCommunication(in List<String> apkList);
	String getErrorLogPath(int logType);
	
	
}