package com.justtide.service.dev.aidl.basic;

import android.os.Parcel;
import android.os.Parcelable;

public class BasicInfo implements Parcelable{
	
	/**
	 *  Terminal SN
	 */
	private String sn;
	
	/**
	 *  Unionpay Terminal SN 
	 */
	private String unionPaySN;
	
	/**
	 *  Terminal model
	 */
	private String termModel;
	/**
	 *  Terminal vendor
	 */
	private String vendor;
	/**
	 * Certificate
	 */
	private String certification;
	
	/**
	 *  Terminal version
	 */
	private int versionCode;	
	
 
	
	public String getSn() {
		return sn;
	}

	public void setSn(String sn) {
		this.sn = sn;
	}
	
	public String getUnionPaySN() {
		return unionPaySN;
	}

	public void setUnionPaySN(String unionPaySN) {
		this.unionPaySN = unionPaySN;
	}

	public String getTermModel() {
		return termModel;
	}

	public void setTermModel(String termModel) {
		this.termModel = termModel;
	}

	public String getVendor() {
		return vendor;
	}

	public void setVendor(String vendor) {
		this.vendor = vendor;
	}

	public String getCertification() {
		return certification;
	}

	public void setCertification(String certification) {
		this.certification = certification;
	}

	public int getVersionCode() {
		return versionCode;
	}

	public void setVersionCode(int versionCode) {
		this.versionCode = versionCode;
	}
	
	 

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(sn);
		dest.writeString(unionPaySN);
		dest.writeString(termModel);
		dest.writeString(vendor);
		dest.writeString(certification);
		dest.writeInt(versionCode);
	}
	
	public static final Parcelable.Creator<BasicInfo> CREATOR = new Parcelable.Creator<BasicInfo>() {

		@Override
		public BasicInfo createFromParcel(Parcel source) {
			BasicInfo info = new BasicInfo();
			info.setSn(source.readString());
			info.setUnionPaySN(source.readString());
			info.setTermModel(source.readString());
			info.setVendor(source.readString());
			info.setCertification(source.readString());
			info.setVersionCode(source.readInt());
			return info;
		}

		@Override
		public BasicInfo[] newArray(int size) {
			// TODO Auto-generated method stub
			return new BasicInfo[size];
		}
	
	};
	
}
