package com.justtide.service.dev.aidl.sm;
import com.justtide.service.dev.aidl.pinpad.PinPadListener;
interface SMProvider{
	 int setInputPinTimeout(int timeoutMS);//set pinpad timeout
	 
	 int importMasterKey(int keyIndex,in byte[] key, int keyLen);
	 
	 int importTransKey(int keyIndex,int keyType, in byte[] key, int keyLen);
	 
	 int importChiperMasterKey(int keyIndex,int mTransIndex,in byte[] key, int keyLen);
	 
	 int importPINKey(int keyIndex,int mkeyIndex,in byte[] key, int keyLen);
	 
	 int importMacKey(int keyIndex,int mkeyIndex,in byte[] key, int keyLen);
	 
	 //get pinblock
	 int calcPinblock(int keyIndex, int pinMode,in byte[] cardNo,in byte[] expectPinLenList,in PinPadListener pinPadListener);//计算Pinblock
	 
	 //get MAC
	 int getMac(int keyIndex, int mkeyIndex, in byte[] iniVector,in byte[] data,int nDataLength, out byte[] outDataBuffer);//MAC计算
	 
	 //encryption
	 int getCryptDateECB( int mode, int keyIndex, int mkeyIndex, in byte[] data,int nDataLength,out byte[] outDataBuffer);//加解密计算
	 
	 //get rand
	 byte[] getRandom(int randomLen);//获取随机数
	
}